Update a charge
Updates the specified charge by setting the values of the parameters passed.
Request Parameters
Path & Query Parameters
Parameters
Request Body
Body Parameters
Responses
200 Charge updated successfully
Returns a Charge object.
400 undefined
401 undefined
404 undefined
Code Samples
- cURL
- Ruby
- Python
- Node.js
curl https://api.omise.co/charges/:id \
-u skey_test_5xuy4w91xqz7d1w9u0t:
require 'omise'
Omise.api_key = 'skey_test_5xuy4w91xqz7d1w9u0t'
updateCharge = Omise::Charge.patch
import omise
omise.api_secret = 'skey_test_5xuy4w91xqz7d1w9u0t'
updateCharge = omise.Charge.patch()
const omise = require('omise')({
secretKey: 'skey_test_5xuy4w91xqz7d1w9u0t'
});
const updateCharge = await omise.charges.patch();
ข้อมูลยืนยันตัวตน API
Try it out
Use the interactive form above to test this endpoint.